weka.classifiers.evaluation

## Interface StandardEvaluationMetric

-     public interface StandardEvaluationMetric

  Primarily a marker interface for a "standard" evaluation metric - i.e. one that would be part of the normal output in Weka without having to turn specific display options.
  Version:
    $Revision: 9320 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toSummaryString()` Return a formatted string (suitable for displaying in console or GUI output) containing all the statistics that this metric computes.
    `void` | `updateStatsForClassifier(double[] predictedDistribution, Instance instance)` Updates the statistics about a classifiers performance for the current test instance.
    `void` | `updateStatsForPredictor(double predictedValue, Instance instance)` Updates the statistics about a predictors performance for the current test instance.

- - ### Method Detail

    - #### toSummaryString

          java.lang.String toSummaryString()

      Return a formatted string (suitable for displaying in console or GUI output) containing all the statistics that this metric computes.
      Returns:
        a formatted string containing all the computed statistics

    - #### updateStatsForClassifier

          void updateStatsForClassifier(double[] predictedDistribution,
                                        Instance instance)
                                 throws java.lang.Exception

      Updates the statistics about a classifiers performance for the current test instance. Gets called when the class is nominal. Implementers need only implement this method if it is not possible to compute their statistics from what is stored in the base Evaluation object.
      Parameters:
        `predictedDistribution` - the probabilities assigned to each class
        `instance` - the instance to be classified
      Throws:
        `java.lang.Exception` - if the class of the instance is not set

    - #### updateStatsForPredictor

          void updateStatsForPredictor(double predictedValue,
                                       Instance instance)
                                throws java.lang.Exception

      Updates the statistics about a predictors performance for the current test instance. Gets called when the class is numeric. Implementers need only implement this method if it is not possible to compute their statistics from what is stored in the base Evaluation object.
      Parameters:
        `predictedValue` - the numeric value the classifier predicts
        `instance` - the instance to be classified
      Throws:
        `java.lang.Exception` - if the class of the instance is not set